%global momorel 2
%global iwl6050_v0 9.201.4.1
%global srcname iwlwifi-6050-ucode

Summary: Firmware for Intel(R) Wireless WiFi Link 6250 Series AGN Adapter
Name: iwl6050-firmware
Version: %{iwl6050_v0}
Release: %{momorel}m%{?dist}
License: "Redistributable, no modification permitted"
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/
Source0: http://intellinuxwireless.org/iwlwifi/downloads/%{srcname}-%{iwl6050_v0}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: sed
BuildArch: noarch
# This is so that the noarch packages don't appear for these archs
ExcludeArch: ppc ppc64

%description
This package contains the firmware required by the iwl6050 driver for Linux (iwlagn).
Usage of the firmware is subject to the terms and conditions contained
inside the provided LICENSE file. Please read it carefully.

%prep
%setup -q -n %{srcname}-%{iwl6050_v0}

# move docs
%{__mv} LICENSE.iwlwifi-6050-ucode LICENSE
%{__mv} README.iwlwifi-6050-ucode README

# fix end-of-line encoding
%{__sed} -i 's/\r//' LICENSE README

# put timestamp back (it's the same on all files)
touch -r LICENSE README

%build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/lib/firmware
%{__install} -p -m 0644 iwlwifi-6050*.ucode \
    %{buildroot}/lib/firmware/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*ucode

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (9.201.4.1-2m)
- full rebuild for mo7 release

* Sun Jun 13 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (9.201.4.1-1m)
- initial package for Momonga Linux
